# libraries
from random import randrange

# a class for a die
class Die:
    def __init__(self, n):
        self.num_sides = n
        self.value = 1   

    def roll(self):
        self.value = randrange(1, self.num_sides + 1)

    def getValue(self):
        return self.value

    #Return a tuple of the lowest and highest value
    #   of the Die.
    def getRange(self):
        return (1,self.num_sides)

#Add values of multiple rolls.
# Takes two dices and adds up the values of the roll.
def rollMult(d1, d2): # Input are two Die.
    d1.roll()
    d2.roll()
    return d1.getValue() + d2.getValue()


def main():
    print("Start")
    # Create 2 dice, one with 6 sides
    d6 = Die(6)    # Die.__init__(6)
    d8 = Die(8)    # Die.__init__(8)
    assert d6.getRange() == (1,6)
    assert d8.getRange() == (1,8)
    p1 = rollMult(d6, d8)
    p2 = rollMult(d6, d8)
    print("Player 1:", p1)
    print("Player 2:", p2)
    if p1 == p2:
        print("You tie")
    elif p1 < p2:
        print("Player 2 wins!")
    else:
        print("Player 1 wins!")
    
#     # display their value
#     print( "Value of d6:", d6.getValue() )
#     print( "Value of d8:", d8.getValue() )
#     print(d6.getRange())
#     # Roll both dice
#     d6.roll()
#     d8.roll()
#     print("D6 Val:", d6.getValue())
#     print("D8 Val:", d8.getValue())
#     d6.roll()
#     d8.roll()
#     print("D6 Val:", d6.getValue())
#     print("D8 Val:", d8.getValue())
#     
#     
#     d20 = Die(20)
#     d20.roll()
#     print("New roll D20:", d20.getValue())

main()







